Fetch All Active Tokens
curl --request GET \
--url 'https://ge-exchange-staging-1.herokuapp.com/v1/api/tokens?closed=false&exited=false' \
--header 'Authorization: Bearer <token>'import requests
url = "https://ge-exchange-staging-1.herokuapp.com/v1/api/tokens?closed=false&exited=false"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://ge-exchange-staging-1.herokuapp.com/v1/api/tokens?closed=false&exited=false', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"message": "Token gotten successfully",
"data": {
"page": 1,
"pages": 1,
"count": 2,
"total": 2,
"tokens": [
{
"price": {
"buy": 1,
"sell": 1,
"exchange": 10
},
"prev_price": {
"buy": 10,
"sell": 10,
"exchange": 10
},
"min": {
"buy": 0,
"sell": 0
},
"max": {
"buy": 0,
"sell": 0
},
"vol": {
"buy": 0,
"sell": 0
},
"min_trade": {
"buy": 10,
"sell": 10
},
"max_trade": {
"buy": 10,
"sell": 10
},
"type": "Private",
"deal_access": "Private",
"investment_type": "SAFE",
"raise_amount": 0,
"buy_fee": 2,
"sell_fee": 2,
"carry": 10,
"management_fee": 1,
"valuation": 0,
"discount": 0,
"interest": 0,
"dividend": 0,
"tenor": 0,
"secondaries": true,
"completed_raise": false,
"supply": 5000000000,
"total_supply": 0,
"total_raised": 0,
"exited": false,
"post_raise_valuation": 0,
"milestone": "0",
"total_allocated": 0,
"_id": "659597a28bd0f62d7168c4ca",
"name": "GetEquity KES Token",
"reference": 333333333,
"image": "https://i.ibb.co/4jDtPr5/Logomark.png",
"symbol": "GKES",
"creator": "619ff436588c7f01e31a6f81",
"createdAt": "2024-01-03T17:21:38.880Z",
"updatedAt": "2024-01-03T17:21:38.880Z",
"currency": "KES"
},
{
"price": {
"buy": 1,
"sell": 1,
"exchange": 10
},
"prev_price": {
"buy": 10,
"sell": 10,
"exchange": 10
},
"min": {
"buy": 0,
"sell": 0
},
"max": {
"buy": 0,
"sell": 0
},
"vol": {
"buy": 0,
"sell": 0
},
"min_trade": {
"buy": 10,
"sell": 10
},
"max_trade": {
"buy": 10,
"sell": 10
},
"type": "Private",
"deal_access": "Private",
"investment_type": "SAFE",
"raise_amount": 0,
"buy_fee": 2,
"sell_fee": 2,
"carry": 10,
"management_fee": 1,
"valuation": 0,
"discount": 0,
"interest": 0,
"dividend": 0,
"tenor": 0,
"secondaries": true,
"completed_raise": false,
"supply": 5000000000,
"total_supply": 0,
"total_raised": 0,
"exited": false,
"post_raise_valuation": 0,
"milestone": "0",
"total_allocated": 0,
"_id": "659597a28bd0f62d7168c4c8",
"name": "GetEquity NGN Token",
"reference": 222222222,
"image": "https://i.ibb.co/4jDtPr5/Logomark.png",
"symbol": "GNGN",
"creator": "619ff436588c7f01e31a6f81",
"createdAt": "2024-01-03T17:21:38.821Z",
"updatedAt": "2024-01-03T17:21:38.821Z",
"currency": "NGN"
}
]
}
}
Trade
Fetch All Active Tokens
Fetch all active tokens
GET
api
/
tokens?closed=false&exited=false
Fetch All Active Tokens
The page number to fetch
The number of tokens to fetch per page
Fetch private tokens or not
The type of investment which must be
safe, equity, debt or fixed interestIf the token is still in primary raise (open to all investors) or secondaries
{
"status": "success",
"message": "Token gotten successfully",
"data": {
"page": 1,
"pages": 1,
"count": 2,
"total": 2,
"tokens": [
{
"price": {
"buy": 1,
"sell": 1,
"exchange": 10
},
"prev_price": {
"buy": 10,
"sell": 10,
"exchange": 10
},
"min": {
"buy": 0,
"sell": 0
},
"max": {
"buy": 0,
"sell": 0
},
"vol": {
"buy": 0,
"sell": 0
},
"min_trade": {
"buy": 10,
"sell": 10
},
"max_trade": {
"buy": 10,
"sell": 10
},
"type": "Private",
"deal_access": "Private",
"investment_type": "SAFE",
"raise_amount": 0,
"buy_fee": 2,
"sell_fee": 2,
"carry": 10,
"management_fee": 1,
"valuation": 0,
"discount": 0,
"interest": 0,
"dividend": 0,
"tenor": 0,
"secondaries": true,
"completed_raise": false,
"supply": 5000000000,
"total_supply": 0,
"total_raised": 0,
"exited": false,
"post_raise_valuation": 0,
"milestone": "0",
"total_allocated": 0,
"_id": "659597a28bd0f62d7168c4ca",
"name": "GetEquity KES Token",
"reference": 333333333,
"image": "https://i.ibb.co/4jDtPr5/Logomark.png",
"symbol": "GKES",
"creator": "619ff436588c7f01e31a6f81",
"createdAt": "2024-01-03T17:21:38.880Z",
"updatedAt": "2024-01-03T17:21:38.880Z",
"currency": "KES"
},
{
"price": {
"buy": 1,
"sell": 1,
"exchange": 10
},
"prev_price": {
"buy": 10,
"sell": 10,
"exchange": 10
},
"min": {
"buy": 0,
"sell": 0
},
"max": {
"buy": 0,
"sell": 0
},
"vol": {
"buy": 0,
"sell": 0
},
"min_trade": {
"buy": 10,
"sell": 10
},
"max_trade": {
"buy": 10,
"sell": 10
},
"type": "Private",
"deal_access": "Private",
"investment_type": "SAFE",
"raise_amount": 0,
"buy_fee": 2,
"sell_fee": 2,
"carry": 10,
"management_fee": 1,
"valuation": 0,
"discount": 0,
"interest": 0,
"dividend": 0,
"tenor": 0,
"secondaries": true,
"completed_raise": false,
"supply": 5000000000,
"total_supply": 0,
"total_raised": 0,
"exited": false,
"post_raise_valuation": 0,
"milestone": "0",
"total_allocated": 0,
"_id": "659597a28bd0f62d7168c4c8",
"name": "GetEquity NGN Token",
"reference": 222222222,
"image": "https://i.ibb.co/4jDtPr5/Logomark.png",
"symbol": "GNGN",
"creator": "619ff436588c7f01e31a6f81",
"createdAt": "2024-01-03T17:21:38.821Z",
"updatedAt": "2024-01-03T17:21:38.821Z",
"currency": "NGN"
}
]
}
}
Was this page helpful?
⌘I
